import Vue from 'vue'
import VueI18n from 'vue-i18n'
import zh from '@/locales/zh'
import en from '@/locales/en'

Vue.use(VueI18n)
const locale = localStorage.getItem('locale')
const defaultLocale = navigator.language.toLocaleLowerCase() === 'zh-cn' ? 'zh-cn' : 'en'
const language = locale || defaultLocale
const i18n = new VueI18n({
  locale: language,
  fallbackLocale: 'en',
  messages: {
    en,
    'zh-cn': zh
  }
})

export default i18n
